<meta charset="utf-8">
<meta name="viewport" content="width=device-width">
{{ $title:= .Title | plainify }}
<title>{{ if .IsHome }}{{ site.Title }}{{ else }}{{ printf "%s | %s" $title site.Title }}{{ end }}</title>

<link rel="icon" href="{{ relURL "" }}favicon.ico" sizes="any">
<link rel="icon" href="{{ relURL "" }}favicon.svg" type="image/svg+xml">
<link rel="apple-touch-icon" href="{{ relURL "" }}apple-touch-icon.png">
<link rel="manifest" href="{{ relURL "" }}manifests/manifest.webmanifest">
<meta name="theme-color" content="#FC6D26">

<link rel="canonical" href="{{ partial "functions/canonical-url" . }}">

{{ if .Description }}
  <meta name="description" content="{{ .Description }}">
{{ else }}
  <meta name="description" content="GitLab product documentation.">
{{ end }}

<!-- Block crawlers from pages with 'noindex' front matter -->
{{ if eq .Params.noindex true }}
  <meta name="robots" content="noindex">
{{ end }}

<!-- Redirect handling -->
{{ if isset .Params "redirect_to" }}
  {{ partial "redirect.html" . }}
{{ end }}

<!-- GitLab Fonts and UI -->
<link rel="preload" href="{{ relURL "" }}gitlab_ui/fonts/GitLabSans.woff2" type="font/woff2" as="font" crossorigin>
<link rel="prefetch" href="{{ relURL "" }}gitlab_ui/fonts/GitLabSans-Italic.woff2" crossorigin>
<link rel="prefetch" href="{{ relURL "" }}gitlab_ui/fonts/GitLabMono.woff2" crossorigin>
<link rel="stylesheet" href="{{ relURL "" }}gitlab_ui/ui/index.css">

<!-- Tailwind utilities and custom CSS -->
<link rel="stylesheet" href="{{ relURL "" }}vite/main.css">

<!-- Homepage-only assets -->
{{ if .IsHome }}
  <link rel="stylesheet" href="{{ relURL "" }}vite/home.css">
  <script type="module" src="{{ relURL "" }}vite/home.js"></script>
{{ end }}

<!-- Custom tags -->
<meta name="gitlab_docs_base_url" content="{{ relURL "" }}">
<meta class="elastic" name="gitlab_docs_version" content="{{ partial "functions/site-version" . }}">
<meta class="elastic" name="gitlab_docs_section" content="{{ partial "functions/breadcrumbs" (dict "Context" . "levels" 1 "machine" true) | default "none" }}">
<meta class="elastic" name="gitlab_docs_breadcrumbs" content="{{ partial "functions/breadcrumbs" (dict "Context" .) }}">

<!-- Migration helpers -->
<meta name="gitlab_docs_legacy_path" content="{{ partial "functions/legacy-path" . }}">
<meta name="gitlab_docs_hugo_launch_version" content="{{ site.Params.hugoLaunchVersion }}">

<!-- Search -->
{{ if or (eq (getenv "SEARCH_BACKEND") "elastic") (eq (getenv "SEARCH_BACKEND") "") }}
  <script>
    const ELASTIC_KEY = '{{ getenv "ELASTIC_KEY" }}';
    const ELASTIC_INDEX = '{{ getenv "ELASTIC_INDEX" }}';
  </script>
  <script type="module" src="{{ relURL "" }}vite/elastic_search.js"></script>
  <script type="module" src="{{ relURL "" }}vite/history.js"></script>
{{ else }}
  <link href="{{ relURL "" }}pagefind/pagefind-ui.css" rel="stylesheet">
  <script type="module" src="{{ relURL "" }}pagefind/pagefind-ui.js"></script>
  <script type="module" src="{{ relURL "" }}vite/pagefind_search.js"></script>
{{ end }}

{{ $isPreRelease := partial "functions/is-pre-release-version.html" . }}
{{- if (eq $isPreRelease "true") -}}
  {{- partial "google-verification-tags.html" . -}}
{{- end -}}

<!-- Zendesk Global Federated Search -->
<meta name="zd-site-verification" content="ony3w7hk1vs6tfyrc51mld" />
<!-- Zendesk US Federal Federated Search -->
<meta name="zd-site-verification" content="gtuq65qdzt6n31viazi6hj" />
